<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-locacao-heading" jhiTranslate="locadoraApp.locacao.home.createOrEditLabel">Create or edit a Locacao</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!locacao.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="locacao.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.locacao.dataLocacao" for="field_dataLocacao">Data Locacao</label>
                    <div class="input-group">
                        <input id="field_dataLocacao" type="text" class="form-control" name="dataLocacao" ngbDatepicker  #dataLocacaoDp="ngbDatepicker" [(ngModel)]="locacao.dataLocacao"
                        required/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataLocacaoDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                    <div [hidden]="!(editForm.controls.dataLocacao?.dirty && editForm.controls.dataLocacao?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.dataLocacao?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.locacao.valorLocacao" for="field_valorLocacao">Valor Locacao</label>
                    <input type="number" class="form-control" name="valorLocacao" id="field_valorLocacao"
                        [(ngModel)]="locacao.valorLocacao" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.locacao.observacao" for="field_observacao">Observacao</label>
                    <input type="text" class="form-control" name="observacao" id="field_observacao"
                        [(ngModel)]="locacao.observacao" maxlength="4000"/>
                    <div [hidden]="!(editForm.controls.observacao?.dirty && editForm.controls.observacao?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.observacao?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 4000 }">
                        This field cannot be longer than 4000 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.locacao.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" [(ngModel)]="locacao.userId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.email}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
